/*
 *  Copyright 2006 The Apache Software Foundation or its licensors, as applicable.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.omg.CORBA;

final public class TRANSACTION_MODEHolder implements
        org.omg.CORBA.portable.Streamable {
    public TRANSACTION_MODE value;

    public TRANSACTION_MODEHolder() {
    }

    public TRANSACTION_MODEHolder(TRANSACTION_MODE initial) {
        value = initial;
    }

    public void _read(org.omg.CORBA.portable.InputStream in) {
        value = TRANSACTION_MODEHelper.read(in);
    }

    public void _write(org.omg.CORBA.portable.OutputStream out) {
        TRANSACTION_MODEHelper.write(out, value);
    }

    public TypeCode _type() {
        return TRANSACTION_MODEHelper.type();
    }
}
